//
//  ViewController.h
//  SynthesizerDemo
//  https://github.com/derkis/SynthesizerDemo
//
//  Created by Matthew Cobb on 4/1/12.
//  Copyright (c) 2012 UIC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AudioToolbox/AudioToolbox.h>

@interface ViewController : UIViewController {
    Boolean isPlaying;

    NSMutableArray *beatsArray;
    NSInteger beatIndex;
    NSInteger numBeats;
}

- (IBAction)playPausePressed:(id)sender;

@property(readwrite) CFURLRef snareSoundURL;
@property(readwrite) NSNumber *snareSound;

@property(readwrite) CFURLRef hardBeepSoundURL;
@property(readwrite) NSNumber *hardBeepSound;

@property(readwrite) CFURLRef echoBeepSoundURL;
@property(readwrite) NSNumber *echoBeepSound;

@property(readwrite) CFURLRef bursSoundURL;
@property(readwrite) NSNumber *bursSound;

@property(weak, nonatomic) IBOutlet UITextField *loopLength;
@property(weak, nonatomic) IBOutlet UITextField *numberOfBeats;

@end
